/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.admin.dao.hibernate;

import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;
import java.util.Set;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.hibernate.FetchMode;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.criterion.Restrictions;

import com.rapidtransform.admin.dao.UserDAO;
import com.rapidtransform.admin.model.User;
import com.rapidtransform.admin.model.UserRoleRelation;
import com.rapidtransform.spec.model.ClassSpecificationAssociation;

import org.springframework.orm.hibernate3.HibernateCallback;
import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

public class UserDAOHibernate extends HibernateDaoSupport implements UserDAO {
	private Log log = LogFactory.getLog(UserDAOHibernate.class);
	
	public User getUser(String userId) {
		return (User) getHibernateTemplate().get(User.class, userId);
	}

	public List getUsers() {
		return getHibernateTemplate().find("from User");
	}

	public void saveUser(User user) {
		getHibernateTemplate().saveOrUpdate(user);
	}

	public void removeUser(String userId) {
		Object user = getHibernateTemplate().get(User.class, userId);
		getHibernateTemplate().delete(user);
	}

	@SuppressWarnings("unchecked")
	public Set<UserRoleRelation> getUserRoles(final String userId) {
		return (Set<UserRoleRelation>)getHibernateTemplate().execute(new HibernateCallback() {
			public Object doInHibernate(Session session) throws HibernateException, SQLException {
				User user = (User) session.get(User.class, userId);
				Set<UserRoleRelation> userroles = user.getRoles();
				log.debug("User roles returned: "+userroles.size());
				return userroles;
			}
		});
	}

}
