/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.admin.service;

import java.util.List;
import java.util.Set;

import com.rapidtransform.admin.model.Role;
import com.rapidtransform.admin.model.User;
import com.rapidtransform.admin.model.UserRoleRelation;

/**
 * @author Steve
 *
 */
public interface UserService {
	public User getUser(String userId);
	public List<User> getUsers();
	public void saveUser(User user);
	public void removeUser(String userId);
	public List<Role> getRoles();
	public Role getRole(String roleId);
	public void saveRole(Role role);
	public Set<UserRoleRelation> getUserRoles(String userId);
}
