/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.classification.model;

import com.rapidtransform.core.model.AbstractBaseModel;
import com.rapidtransform.org.model.Approvable;
import com.rapidtransform.org.model.OrganizationElement;
import com.rapidtransform.org.model.OrganizationalData;

/**
 * Associates a GeneralClassification with a Classified object.
 * 
 * @author S. Werner
 *
 */
public class ClassificationAssociation extends AbstractBaseModel implements Approvable, OrganizationElement, OrganizationalData {
	private String role; // TODO is this needed for general PLM or only vertical-specific
	/**
	 * Specifies whether the classification serves as a definition.
	 */
	private Boolean definitional;
	private Classified classified;
	/**
	 * @return Returns the classified.
	 */
	public Classified getClassified() {
		return classified;
	}
	/**
	 * @param classified The classified to set.
	 */
	public void setClassified(Classified classified) {
		this.classified = classified;
	}
	/**
	 * @return Returns the definitional.
	 */
	public Boolean getDefinitional() {
		return definitional;
	}
	/**
	 * @param definitional The definitional to set.
	 */
	public void setDefinitional(Boolean definitional) {
		this.definitional = definitional;
	}
	/**
	 * @return Returns the role.
	 */
	public String getRole() {
		return role;
	}
	/**
	 * @param role The role to set.
	 */
	public void setRole(String role) {
		this.role = role;
	}
	
	
}
