/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.core.dao.hibernate;

import java.util.Collection;

import org.hibernate.criterion.DetachedCriteria;
import org.hibernate.criterion.Property;
import org.hibernate.criterion.SimpleExpression;

import com.rapidtransform.core.dao.ValidValueDAO;
import com.rapidtransform.core.model.ValidValue;

/**
 * @author Steve
 *
 */
public class ValidValueDAOHibernate extends GenericDAOHibernate<ValidValue, Long> implements
		ValidValueDAO {

	/* (non-Javadoc)
	 * @see com.rapidtransform.core.dao.ValidValueDAO#findEnabled()
	 */
	public Collection<ValidValue> findEnabled() {
		DetachedCriteria criteria = DetachedCriteria.forClass(getPersistentClass());
		criteria.add(Property.forName("enabled").eq(Boolean.TRUE));
		return getHibernateTemplate().findByCriteria(criteria);
	}

}
