/**
 * The contents of this file are subject to the Rapid Transform Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.rapidtransform.com/license.html
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2006 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.core.meta;

import java.util.Collection;
import java.util.Date;
import java.util.Map;

import com.rapidtransform.core.model.namespace.QName;

/**
 * A Metamodel allows modellers to customize the behavior and properties of the working model.  This
 * metadata level provides an easy mechanism for extending the core (level one) model.
 * 
 * @author S. Werner
 *
 */
public interface MetaModel {
	
	public String getDescription();
	
	public String getDisplay();
	
	public Collection<MetaInclude> getIncludes();
	
	public Map<QName, MetaProperty> getProperties();
	
	public Date getPublished();
	
	public QName getQname();
	
	public Collection<MetaType> getTypes();
	
	public String getVersion();
	
	public Collection<MetaNamespace> getNamespaces();
	
}
