/**
 * 
 */
package com.rapidtransform.core.meta.def;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.List;

import com.rapidtransform.core.meta.MetaClass;
import com.rapidtransform.core.meta.MetaProperty;
import com.rapidtransform.core.meta.MetaRelation;
import com.rapidtransform.core.model.namespace.QName;

/**
 * @author Steve Werner
 *
 */
public class BaseMetaClass implements MetaClass {
	private QName name;
	private String description;
	private String display;
	private String extendsClass;
	private String javaClass;
	private boolean searchable = false;
	private List<MetaProperty> properties = new ArrayList<MetaProperty>();
	private List<MetaRelation> relations = new ArrayList<MetaRelation>();
	private List<String> indexedProperties = new ArrayList<String>();
	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * @param description The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	/**
	 * @return Returns the display.
	 */
	public String getDisplay() {
		return display;
	}
	/**
	 * @param display The display to set.
	 */
	public void setDisplay(String display) {
		this.display = display;
	}
	/**
	 * @return Returns the extendsClass.
	 */
	public String getExtendsClass() {
		return extendsClass;
	}
	/**
	 * @param extendsClass The extendsClass to set.
	 */
	public void setExtendsClass(String extendsClass) {
		this.extendsClass = extendsClass;
	}
	/**
	 * @return Returns the name.
	 */
	public QName getName() {
		return name;
	}
	/**
	 * @param name The name to set.
	 */
	public void setName(QName name) {
		this.name = name;
	}
	/**
	 * @return Returns the properties.
	 */
	public Collection<MetaProperty> getProperties() {
		return Collections.unmodifiableCollection(properties);
	}
	/**
	 * @param properties The properties to set.
	 */
	public void setProperties(List<MetaProperty> properties) {
		this.properties = properties;
	}
	/**
	 * @return Returns the javaClass.
	 */
	public String getJavaClass() {
		return javaClass;
	}
	/**
	 * @param javaClass The javaClass to set.
	 */
	public void setJavaClass(String javaClass) {
		this.javaClass = javaClass;
	}
	/**
	 * @return Returns the relations.
	 */
	public List<MetaRelation> getRelations() {
		return relations;
	}
	/**
	 * @param relations The relations to set.
	 */
	public void setRelations(List<MetaRelation> relations) {
		this.relations = relations;
	}
	/**
	 * @return Returns the searchable.
	 */
	public boolean isSearchable() {
		return searchable;
	}
	/**
	 * @param searchable The searchable to set.
	 */
	public void setSearchable(boolean searchable) {
		this.searchable = searchable;
	}
	
}
