/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 with a permitted attribution clause (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.rapidtransform.com/legal/license.txt
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Convelo Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2006 Rapid Transform, Inc. 
 * All Rights Reserved.
 */
package com.rapidtransform.core.meta.def;

import com.rapidtransform.core.meta.MetaProperty;
import com.rapidtransform.core.meta.MetaType;
import com.rapidtransform.core.model.namespace.QName;

/**
 * @author Steve
 *
 */
public class BaseMetaProperty implements MetaProperty {

	private String name;
	private String displayKey;
	private String description;
	private String defaultValue;
	private QName type;
	private boolean valueList;
	private boolean required;
	private boolean indexed;
	/**
	 * @return Returns the defaultValue.
	 */
	public String getDefaultValue() {
		return defaultValue;
	}
	/**
	 * @param defaultValue The defaultValue to set.
	 */
	public void setDefaultValue(String defaultValue) {
		this.defaultValue = defaultValue;
	}
	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * @param description The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	/**
	 * @return Returns the display resource bundle key.
	 */
	public String getDisplayKey() {
		return displayKey;
	}
	/**
	 * @param display The display to set.
	 */
	public void setDisplayKey(String display) {
		this.displayKey = display;
	}
	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * @return Returns the type.
	 */
	public QName getType() {
		return type;
	}
	/**
	 * @param type The type to set.
	 */
	public void setType(QName type) {
		this.type = type;
	}
	/**
	 * @return Returns the valueList.
	 */
	public boolean isValueList() {
		return valueList;
	}
	/**
	 * @param valueList The valueList to set.
	 */
	public void setValueList(boolean valueList) {
		this.valueList = valueList;
	}
	/**
	 * @return Returns the required.
	 */
	public boolean isRequired() {
		return required;
	}
	/**
	 * @param required The required to set.
	 */
	public void setRequired(boolean required) {
		this.required = required;
	}
	/**
	 * @return Returns the indexed.
	 */
	public boolean isIndexed() {
		return indexed;
	}
	/**
	 * @param indexed The indexed to set.
	 */
	public void setIndexed(boolean indexed) {
		this.indexed = indexed;
	}
	
}
