/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 with a permitted attribution clause (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.rapidtransform.com/legal/license.txt
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Convelo Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2006 Rapid Transform, Inc. 
 * All Rights Reserved.
 */
package com.rapidtransform.core.meta.def;

import java.util.Collection;
import java.util.Collections;
import java.util.List;

import com.rapidtransform.core.meta.MetaPropertyValue;
import com.rapidtransform.core.meta.MetaType;

/**
 * @author Steve
 *
 */
public class BaseMetaType extends BaseMetaClass implements MetaType {
	private List<MetaPropertyValue> validValues;
	private boolean multiselect;

	/**
	 * @return Returns the validValues.
	 */
	public Collection<MetaPropertyValue> getValidValues() {
		if (validValues != null)
			return Collections.unmodifiableCollection(validValues);
		else 
			return null;
	}

	/**
	 * @param validValues The validValues to set.
	 */
	public void setValidValues(List<MetaPropertyValue> validValues) {
		this.validValues = validValues;
	}

	/**
	 * @return Returns the multiselect.
	 */
	public boolean isMultiselect() {
		return multiselect;
	}

	/**
	 * @param multiselect The multiselect to set.
	 */
	public void setMultiselect(boolean multiselect) {
		this.multiselect = multiselect;
	}
	
}
