/**
 * 
 */
package com.rapidtransform.core.meta.service;

import com.rapidtransform.core.model.namespace.QName;

/**
 * This Factory is primarily used by the binding compiler to create meta objects and collections.  the
 * factory understands how all meta objects should be created.
 * 
 * @author Steve Werner
 *
 */
public class MetaFactory {
	
    /**
     * Convert QName string "prefix:localName"  in XML to QName object  
     * 
     * @param qName  the string representation of the QName
     * @return QName
     */
    public static QName unmarshalQName(String qName)
    {
        return (qName == null) ? null : new QName(qName);
    }

    
    /**
     * Convert QName to QName string "prefix:localName" for XML serialization
     * 
     * @param qName
     * @return
     */
    public static String marshalQName(QName qName)
    {
    	return (qName == null) ? null : qName.toString();
    }
}
