/**
 * 
 */
package com.rapidtransform.core.model;

import java.io.Serializable;
import java.util.Collection;
import java.util.Map;

import com.rapidtransform.core.model.namespace.QName;
import com.rapidtransform.core.type.PropertyHolder;

/**
 * A model represents base level objects which have higher level attributes and actions defined on them through
 * the MetaModel.
 * 
 * @author Steve
 *
 */
public interface Model {
	
	public Long getId();
	
	public String getUuid();
	
	public QName getMetaTypeName();
	
	public void setMetaTypeName(QName qName);
	
	public PropertyHolder getPropertyHolder();
	
	public void setPropertyHolder(PropertyHolder propHolder);
	
}
