/**
 * 
 */
package com.rapidtransform.core.model.namespace;

import com.rapidtransform.core.util.EqualsUtil;

/**
 * The NamespaceRelation class specifies a source and target namespace that participate in a relation.
 * 
 * @author Steve Werner
 *
 */
public class NamespaceRelation {
	private Namespace source;
	private Namespace target;
	
	public NamespaceRelation() {
		
	}
	
	public NamespaceRelation(Namespace source, Namespace target) {
		this.source = source;
		this.target = target;
	}
	
	/**
	 * @return Returns the source.
	 */
	public Namespace getSource() {
		return source;
	}
	/**
	 * @param source The source to set.
	 */
	public void setSource(Namespace source) {
		this.source = source;
	}
	/**
	 * @return Returns the target.
	 */
	public Namespace getTarget() {
		return target;
	}
	/**
	 * @param target The target to set.
	 */
	public void setTarget(Namespace target) {
		this.target = target;
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object that) {
		return (EqualsUtil.areEqual(this.source, ((NamespaceRelation)that).getSource()) &&
				EqualsUtil.areEqual(this.target, ((NamespaceRelation)that).getTarget()));
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		return this.source.hashCode() * this.target.hashCode();
	}
	
}
