/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 with a permitted attribution clause (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.rapidtransform.com/legal/license.txt
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Convelo Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2006 Rapid Transform, Inc. 
 * All Rights Reserved.
 */
package com.rapidtransform.core.model.namespace;

/**
 * @author Steve
 *
 */
public class QNameFactory {
	public static QName createQName(String prefix, String localName, String uri) throws InvalidQNameException {
		if (prefix == null) {
			throw new InvalidQNameException("Prefix is required for QName");
		}
		return new QName(prefix, localName, uri);
	}
	
	public static QName createQName(String qName) {
		return new QName(qName);
	}
}
