/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.core.search;

import java.util.Collection;

import com.rapidtransform.core.model.namespace.QName;
import com.rapidtransform.core.search.SearchCommand;
import com.rapidtransform.core.search.SearchResults;
import com.rapidtransform.core.service.Service;

/**
 * @author Steve
 *
 */
public interface SearchService extends Service {
	/**
	 * Performs a search with the given SearchCommand.  The Search command must contain all
	 * information to execute the search.
	 *
	 * @param searchType Meta Type being searched.  If null, then all types will be searched.
	 * @param query
	 */
	public Collection<SearchResult> search(String searchType, SearchCommand searchCommand);
	
	/**
	 * Creates the search indexes.  If old search indexes exist, they are removed once the
	 * new indexes are created.  No system down time is required to re-index since the new
	 * indexes will be swapped in for the old indexes by using the index locks.
	 */
	public void index();
}
