/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.core.search.lucene;

import com.rapidtransform.core.search.AbstractSearchCommand;
import com.rapidtransform.core.search.SearchCommand;

/**
 * The SearchCommandCompass class encapsulates the SearchQueryCompass, the page size and the current
 * page for the search results.  This command is used for executing natural language searches with
 * the Compass Framework.
 * 
 * @author Steve
 *
 */
public class CompassSearchCommand extends AbstractSearchCommand  {
	private SearchQueryCompass query;
	
	public CompassSearchCommand(String queryStr) {
		query = new SearchQueryCompass(queryStr);
	}
	
	public SearchQueryCompass getQuery() {
		return query;
	}
	
	public void setQuery(SearchQueryCompass query) {
		this.query = query;
	}

}
