/**
 * 
 */
package com.rapidtransform.core.search.lucene;

import java.lang.reflect.Method;

import org.compass.spring.aop.AbstractCompassSaveInterceptor;
import org.springframework.aop.AfterReturningAdvice;

import org.compass.core.Property;
import org.compass.core.Resource;

import com.rapidtransform.core.meta.MetaProperty;
import com.rapidtransform.core.meta.MetaService;
import com.rapidtransform.core.meta.MetaType;
import com.rapidtransform.core.model.Model;
import com.rapidtransform.core.type.PropertyHolder;

/**
 * @author Steve Werner
 *
 */
public class MetaSaveAdvice extends AbstractCompassSaveInterceptor implements AfterReturningAdvice {
	
	private MetaService metaService;
	
	/**
	 * @return Returns the metaService.
	 */
	public MetaService getMetaService() {
		return metaService;
	}
	/**
	 * @param metaService The metaService to set.
	 */
	public void setMetaService(MetaService metaService) {
		this.metaService = metaService;
	}

	/* (non-Javadoc)
	 * @see org.springframework.aop.AfterReturningAdvice#afterReturning(java.lang.Object, java.lang.reflect.Method, java.lang.Object[], java.lang.Object)
	 */
	public void afterReturning(Object returnValue, Method method, Object[] agrs, Object target) throws Throwable {
		if (returnValue instanceof Model) {
			Model model = (Model)returnValue;
			Resource compassResource = compassTemplate.createResource(model.getMetaTypeName().toEncodedString());
			MetaType type = metaService.getType(model.getMetaTypeName());
			PropertyHolder propHolder = model.getPropertyHolder();
			compassResource.addProperty(compassTemplate.createProperty("id", model.getId().toString(), Property.Store.YES, Property.Index.UN_TOKENIZED));
			if (propHolder != null) {
				for (MetaProperty prop : type.getProperties()) {
					if (prop.isIndexed()) {
						Object value = null;
						if ((value = propHolder.getProperty(prop.getName())) != null) {
							compassResource.addProperty(prop.getName(), value);
						}
					}
				}
			}
			save(compassResource);
		}
	}
}
