/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.core.search.lucene;

import com.rapidtransform.core.search.SearchQuery;

/**
 * The SearchQueryCompass is a simple query String.  The query format follows the Lucene standard
 * query format.  For more information on query syntax, please refer to the Apache Lucene website.
 * @author Steve
 *
 */
public class SearchQueryCompass implements SearchQuery {
	private String query;
	
	/**
	 * default constructor
	 */
	public SearchQueryCompass() {
	}
	
	/**
	 * Constructs a search query object with the given query string.
	 * @param query
	 */
	public SearchQueryCompass(String query) {
		this.query = query;
	}
	
	public String getQuery() {
		return query;
	}
	public void setQuery(String query) {
		this.query = query;
	}
	public String queryString() {
		return query;
	}
	
}
