/**
 * The contents of this file are subject to the Rapid Transform Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.rapidtransform.com/license.html
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2006 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.core.service;

import java.util.List;

import com.rapidtransform.core.ConveloException;

/**
 * This service defines methods for creating, reading, updating and deleting generic objects.
 * 
 * @author S. Werner
 *
 */
public interface CRUDService<Type> extends Service {
	public Type create() throws ConveloException;
	public Type save(Type entity);
	public Type find(Long id);
	public List<Type> findAll();
}
