/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.core.service.impl;

import org.springframework.context.support.ResourceBundleMessageSource;

import com.rapidtransform.core.service.SecurityService;

/**
 * Base class for all RapidPLM services.
 * @author Steve Werner
 *
 */
public class ServiceImpl {
	private ResourceBundleMessageSource messageSource;
	private SecurityService securityService;

	/**
	 * Returns the message resource bundles which can be used for log and exception messages.
	 * @return
	 */
	public ResourceBundleMessageSource getMessageSource() {
		return messageSource;
	}

	/**
	 * The message source contains the log and exception messages for the application.
	 * @param messageSource
	 */
	public void setMessageSource(ResourceBundleMessageSource messageSource) {
		this.messageSource = messageSource;
	}
	
	/**
	 * The security service is used by other services to obtain authentication or authorization
	 * information from the current session context.
	 * 
	 * @param service
	 */
	public void setSecurityService(SecurityService service) {
		this.securityService = service;
	}
	public SecurityService getSecurityService() {
		return securityService;
	}

}
