/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 with a permitted attribution clause (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.rapidtransform.com/legal/license.txt
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Convelo Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2006 Rapid Transform, Inc. 
 * All Rights Reserved.
 */
package com.rapidtransform.core.type;

import java.io.Serializable;
import java.util.Map;

import com.rapidtransform.core.model.namespace.QName;

/**
 * A PropertyHolder encapsulates a collection of custom properties for a specific type of object.
 * 
 * All MetaModel defined industry or company specific attributes are contained in a PropertyHolder class and
 * stored in the database as such.
 * 
 * @author S. Werner
 *
 */
public interface PropertyHolder {
	
	public QName getMetaTypeName();
	public void setMetaTypeName(QName qname);
		
	public String getUuid();
	public void setUuid(String uuid);
	
	public Object getProperty(String propertyName);
	public void setProperty(String propertyName, Object value);
	
	public Map<String, Object> getProperties();
	public void setProperties(Map<String, Object> props);

}
