/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.doc.dao.hibernate;

import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.hibernate.FetchMode;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.criterion.Restrictions;
import org.springframework.orm.hibernate3.HibernateCallback;
import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import com.rapidtransform.admin.dao.hibernate.UserDAOHibernate;
import com.rapidtransform.core.dao.hibernate.GenericDAOHibernate;
import com.rapidtransform.doc.dao.DocumentDAO;
import com.rapidtransform.doc.model.Document;
import com.rapidtransform.product.model.ProductSpecRelation;
import com.rapidtransform.spec.model.Specification;

/**
 * This class defines the Hibernate data access code for Document objects.  Methods in this class
 * define how Document data can be accessed, updated, and removed. 
 * 
 * @author Steve
 *
 */
public class DocumentDAOHibernate extends GenericDAOHibernate<Document, Long> implements DocumentDAO {
	public DocumentDAOHibernate() {	
		super(Document.class);
	}
}
