/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.doc.service.impl;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.rapidtransform.core.service.impl.MetaCRUDServiceImpl;
import com.rapidtransform.doc.dao.DocumentDAO;
import com.rapidtransform.doc.model.Document;
import com.rapidtransform.doc.service.DocumentService;

/**
 * @author Steve Werner
 *
 */
public class DocumentServiceImpl extends MetaCRUDServiceImpl<Document> implements DocumentService {
	private static Log log = LogFactory.getLog(DocumentServiceImpl.class);
	
	private DocumentDAO documentDao;
	
	public DocumentServiceImpl() {
		super(Document.class);
	}

	/**
	 * @param documentDao The documentDao to set.
	 */
	public void setDocumentDao(DocumentDAO documentDao) {
		this.documentDao = documentDao;
		this.setDao(documentDao);
	}

	/* (non-Javadoc)
	 * @see com.rapidtransform.core.service.impl.CRUDServiceImpl#getLog()
	 */
	@Override
	public Log getLog() {
		return log;
	}
	
	

}
