/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.org.model;

import com.rapidtransform.core.model.AbstractBaseModel;

/**
 * The Alias is used to associate an object with a different context, such as another Organization.
 * 
 * @author S. Werner
 *
 */
public class Alias extends AbstractBaseModel {
	private String aliasId;
	private String versionId;
	private String description;
	private Organization scope;
	/**
	 * @return Returns the aliasId.
	 */
	public String getAliasId() {
		return aliasId;
	}
	/**
	 * @param aliasId The aliasId to set.
	 */
	public void setAliasId(String aliasId) {
		this.aliasId = aliasId;
	}
	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * @param description The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	/**
	 * @return Returns the scope.
	 */
	public Organization getScope() {
		return scope;
	}
	/**
	 * @param scope The scope to set.
	 */
	public void setScope(Organization scope) {
		this.scope = scope;
	}
	/**
	 * @return Returns the versionId.
	 */
	public String getVersionId() {
		return versionId;
	}
	/**
	 * @param versionId The versionId to set.
	 */
	public void setVersionId(String versionId) {
		this.versionId = versionId;
	}
	
}
