/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.org.model;

import java.util.Calendar;
import java.util.Set;

import com.rapidtransform.core.model.AbstractBaseModel;
import com.rapidtransform.doc.model.Document;

/**
 * An Approval is a judgment based on the quality of product data from an organization that is
 * subject to approval.  The approval represents a statement from technical or management resources
 * about the qualification of an organization and if certain requirements are met.  The absence of 
 * an approval for an organization does <strong>not</strong> have any implied meaning.  
 * @author S. Werner
 *
 */
public class Approval extends AbstractBaseModel {
	/**
	 * The level represents the aspect for which the object being approved is endorsed.
	 */
	private ApprovalLevel level;
	
	private Set<ApprovalRelation> relation;
	private Set<Document> documents;
	private Set<Organization> organizations;
	private DateTime actualDate;
	private DateTime plannedDate;
	private Set<PersonDateOrg> approvedBy;
	private Set<Approvable> appliedTo;
	
}
