/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.org.model;

import java.util.Set;

import com.rapidtransform.core.model.AbstractBaseModel;

/**
 * The DateTimeAssignment assigns a point in time - a date and time or an event - with product data.
 * 
 * @author S. Werner
 *
 */
public class DateTimeAssignment extends AbstractBaseModel {
	public enum DateTimeAssignmentRole {
		CLASSIFICATION_DATE,
		CREATION,
		INSTALLATION, 
		PRODUCTION,
		REGISTRATION,
		UPDATE;
	}
	
	private DateTimeAssignmentRole role;
	private String description;
	private Set<OrganizationElement> appliedTo;
}
