/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.org.model;

import java.util.Set;

import com.rapidtransform.core.model.AbstractBaseModel;
import com.rapidtransform.doc.model.Document;

/**
 * @author S. Werner
 *
 */
public class Organization extends AbstractBaseModel {
	public enum OrganizationType {
		DEFAULT;
		// TODO OrganizationType enum
	}
	private String name;
	private OrganizationType type;
	
	private String organizationId;
	private Set<Document> documents;
	private PersonOrganizationAssignment personOrgAssignment;
	private Set<PersonDateOrg> personDateOrgs;
	private Set<Alias> aliases;
	
	private Address postalAddress;
	private Address deliveryAddress;
	private Address visitorAddress;
	private Address billingAddress;
	public Set<Alias> getAliases() {
		return aliases;
	}
	public void setAliases(Set<Alias> aliases) {
		this.aliases = aliases;
	}
	public Address getBillingAddress() {
		return billingAddress;
	}
	public void setBillingAddress(Address billingAddress) {
		this.billingAddress = billingAddress;
	}
	public Address getDeliveryAddress() {
		return deliveryAddress;
	}
	public void setDeliveryAddress(Address deliveryAddress) {
		this.deliveryAddress = deliveryAddress;
	}
	public Set<Document> getDocuments() {
		return documents;
	}
	public void setDocuments(Set<Document> documents) {
		this.documents = documents;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getOrganizationId() {
		return organizationId;
	}
	public void setOrganizationId(String organizationId) {
		this.organizationId = organizationId;
	}
	public Set<PersonDateOrg> getPersonDateOrgs() {
		return personDateOrgs;
	}
	public void setPersonDateOrgs(Set<PersonDateOrg> personDateOrgs) {
		this.personDateOrgs = personDateOrgs;
	}
	public PersonOrganizationAssignment getPersonOrgAssignment() {
		return personOrgAssignment;
	}
	public void setPersonOrgAssignment(
			PersonOrganizationAssignment personOrgAssignment) {
		this.personOrgAssignment = personOrgAssignment;
	}
	public Address getPostalAddress() {
		return postalAddress;
	}
	public void setPostalAddress(Address postalAddress) {
		this.postalAddress = postalAddress;
	}
	public OrganizationType getType() {
		return type;
	}
	public void setType(OrganizationType type) {
		this.type = type;
	}
	public Address getVisitorAddress() {
		return visitorAddress;
	}
	public void setVisitorAddress(Address visitorAddress) {
		this.visitorAddress = visitorAddress;
	}
	
	
}
