/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.org.model;

import com.rapidtransform.core.model.AbstractBaseModel;

/**
 * An OrganizationEvent is a point in time relative to an event.
 * 
 * @author S. Werner
 *
 */
public class OrganizationEvent extends AbstractBaseModel implements DatedEvent, TimePeriod, OrganizationElement {
	private String eventType; // TODO eventtype enum?
	private String description;
	private OrganizationalData context;
	
	/**
	 * Offset is used to calculate the actual date by adding the duration to the start of the event.
	 */
	private Duration offset;

	/**
	 * @return Returns the context.
	 */
	public OrganizationalData getContext() {
		return context;
	}

	/**
	 * @param context The context to set.
	 */
	public void setContext(OrganizationalData context) {
		this.context = context;
	}

	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @param description The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	/**
	 * @return Returns the eventType.
	 */
	public String getEventType() {
		return eventType;
	}

	/**
	 * @param eventType The eventType to set.
	 */
	public void setEventType(String eventType) {
		this.eventType = eventType;
	}

	/**
	 * @return Returns the offset.
	 */
	public Duration getOffset() {
		return offset;
	}

	/**
	 * @param offset The offset to set.
	 */
	public void setOffset(Duration offset) {
		this.offset = offset;
	}
	
	
}
