/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.org.model;

import java.util.Set;

import com.rapidtransform.admin.model.User;
import com.rapidtransform.core.model.AbstractBaseModel;
import com.rapidtransform.doc.model.Document;

/**
 * This class represents a person.
 * 
 * @author S. Werner
 *
 */
public class Person extends AbstractBaseModel {
	private String firstName;
	private String middleName;
	private String lastName;
	private String title;
	private Set<PersonRole> roles;
	private Set<Document> documents;
	
	private Address preferredAddress;

	public Set<Document> getDocuments() {
		return documents;
	}

	public void setDocuments(Set<Document> documents) {
		this.documents = documents;
	}

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public String getLastName() {
		return lastName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

	public String getMiddleName() {
		return middleName;
	}

	public void setMiddleName(String middleName) {
		this.middleName = middleName;
	}

	public Address getPreferredAddress() {
		return preferredAddress;
	}

	public void setPreferredAddress(Address preferredAddress) {
		this.preferredAddress = preferredAddress;
	}

	public Set<PersonRole> getRoles() {
		return roles;
	}

	public void setRoles(Set<PersonRole> roles) {
		this.roles = roles;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}
	
}
