/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.org.model;

import java.util.Set;

import com.rapidtransform.core.model.AbstractBaseModel;

/**
 * This class associates a PersonDateOrg object with product data and provides additional information
 * such as role about the assignment.
 * 
 * @author S. Werner
 *
 */
public class PersonDateAssignment extends AbstractBaseModel {
	public enum PersonDateAssignRole {
		CREATION,
		UPDATE;
	}
	/**
	 * The role specifies the action taken by the Person on the appliedTo object
	 */
	private PersonDateAssignRole role;
	private String description;
	private Set<OrganizationElement> appliedTo;
	
}
