/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.org.model;

import java.util.Set;

import com.rapidtransform.core.model.AbstractBaseModel;

/**
 * This class defines a person's role in an organization.
 * 
 * @author S. Werner
 *
 */
public class PersonRole extends AbstractBaseModel implements OrganizationElement, OrganizationalData {
	private String role; // TODO make enum for PersonRole
	private Set<PersonRoleRelation> personRoleRelation;
	private Set<PersonOrganizationAssignment> assignment;
	private Set<PersonDateOrg> personDateOrg;
	private Address location;
	private Organization organization;
	/**
	 * @return Returns the assignment.
	 */
	public Set<PersonOrganizationAssignment> getAssignment() {
		return assignment;
	}
	/**
	 * @param assignment The assignment to set.
	 */
	public void setAssignment(Set<PersonOrganizationAssignment> assignment) {
		this.assignment = assignment;
	}
	/**
	 * @return Returns the location.
	 */
	public Address getLocation() {
		return location;
	}
	/**
	 * @param location The location to set.
	 */
	public void setLocation(Address location) {
		this.location = location;
	}
	/**
	 * @return Returns the organization.
	 */
	public Organization getOrganization() {
		return organization;
	}
	/**
	 * @param organization The organization to set.
	 */
	public void setOrganization(Organization organization) {
		this.organization = organization;
	}
	/**
	 * @return Returns the personDateOrg.
	 */
	public Set<PersonDateOrg> getPersonDateOrg() {
		return personDateOrg;
	}
	/**
	 * @param personDateOrg The personDateOrg to set.
	 */
	public void setPersonDateOrg(Set<PersonDateOrg> personDateOrg) {
		this.personDateOrg = personDateOrg;
	}
	/**
	 * @return Returns the personRoleRelation.
	 */
	public Set<PersonRoleRelation> getPersonRoleRelation() {
		return personRoleRelation;
	}
	/**
	 * @param personRoleRelation The personRoleRelation to set.
	 */
	public void setPersonRoleRelation(Set<PersonRoleRelation> personRoleRelation) {
		this.personRoleRelation = personRoleRelation;
	}
	/**
	 * @return Returns the role.
	 */
	public String getRole() {
		return role;
	}
	/**
	 * @param role The role to set.
	 */
	public void setRole(String role) {
		this.role = role;
	}
	
	
}
