/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.part.model;

import com.rapidtransform.admin.type.ApplicationDomain;
import com.rapidtransform.admin.type.LifecycleState;
import com.rapidtransform.core.model.AbstractBaseModel;

/**
 * The application context contains the state and application domain information for a specific
 * item view.  This information specifies when and where in the process this item view can be used.
 * 
 * @author Steve Werner
 *
 */
public class ApplicationContext extends AbstractBaseModel {
	private ApplicationDomain applicationDomain;
	private LifecycleState state;
	private String description;
	
	/**
	 * @return Returns the applicationDomain.
	 */
	public ApplicationDomain getApplicationDomain() {
		return applicationDomain;
	}
	/**
	 * @param applicationDomain The applicationDomain to set.
	 */
	public void setApplicationDomain(ApplicationDomain applicationDomain) {
		this.applicationDomain = applicationDomain;
	}
	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * @param description The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	/**
	 * @return Returns the state.
	 */
	public LifecycleState getState() {
		return state;
	}
	/**
	 * @param state The state to set.
	 */
	public void setState(LifecycleState state) {
		this.state = state;
	}
	
}
