/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.part.model;

/**
 * Definition of an ItemVersion that serves as a collection of ItemInstance objects that are
 * on the same product but may not be assembled together.
 * 
 * TODO example
 * 
 * @author Steve
 *
 */
public class CollectionView extends ItemView {
	// purpose for defining the collection
	private String purpose;
	
	/**
	 * default constructor
	 */
	public CollectionView() {
	}
	
	public CollectionView(String name, ItemVersion initialVersion, ApplicationContext initialContext) {
		super(name, initialVersion, initialContext);
	}

	/**
	 * @return Returns the purpose.
	 */
	public String getPurpose() {
		return purpose;
	}

	/**
	 * @param purpose The purpose to set.
	 */
	public void setPurpose(String purpose) {
		this.purpose = purpose;
	}
	
}
