/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.part.model;

import java.util.Collection;
import java.util.Set;

import com.rapidtransform.classification.model.ClassificationType;
import com.rapidtransform.core.model.AbstractBaseModel;

/**
 * This represents a classification of an item related to specific criteria.  The specific
 * criteria is represented in the classification name attribute.
 * 
 * @author S. Werner
 *
 */
public class ItemClassification extends AbstractBaseModel {
	private ClassificationType type;
	private Set<ItemClassification> children;
	private String description;
	private Set<Item> items;
	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * @param description The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	/**
	 * @return Returns the children.
	 */
	public Collection<ItemClassification> getChildren() {
		return children;
	}
	/**
	 * @param children The children to set.
	 */
	public void setChildren(Set<ItemClassification> children) {
		this.children = children;
	}
	/**
	 * @return Returns the item.
	 */
	public Collection<Item> getItems() {
		return items;
	}
	/**
	 * @param item The item to set.
	 */
	public void setItems(Set<Item> items) {
		this.items = items;
	}
	/**
	 * @return Returns the type.
	 */
	public ClassificationType getType() {
		return type;
	}
	/**
	 * @param type The type to set.
	 */
	public void setType(ClassificationType type) {
		this.type = type;
	}
	
}
