/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.part.model;

import java.util.Collection;
import java.util.Set;

import com.rapidtransform.core.model.AbstractBaseModel;
import com.rapidtransform.doc.model.Document;
import com.rapidtransform.org.model.Approvable;
import com.rapidtransform.org.model.OrganizationElement;
import com.rapidtransform.org.model.OrganizationalData;
import com.rapidtransform.spec.model.Effective;

/**
 * This abstract class represents the relation between an ItemView and an ItemInstance.
 * 
 * @author Steve
 *
 */
public abstract class ItemViewInstanceRelation extends AbstractBaseModel 
	implements InstanceUsageContext, Approvable, OrganizationElement, OrganizationalData, Effective {
	
	private Set<Document> documents;
	private ItemView view;
	private ItemInstance instance;
	/**
	 * @return Returns the documents.
	 */
	public Collection<Document> getDocuments() {
		return documents;
	}
	/**
	 * @param documents The documents to set.
	 */
	public void setDocuments(Set<Document> documents) {
		this.documents = documents;
	}
	/**
	 * @return Returns the instance.
	 */
	public ItemInstance getInstance() {
		return instance;
	}
	/**
	 * @param instance The instance to set.
	 */
	public void setInstance(ItemInstance instance) {
		this.instance = instance;
	}
	/**
	 * @return Returns the view.
	 */
	public ItemView getView() {
		return view;
	}
	/**
	 * @param view The view to set.
	 */
	public void setView(ItemView view) {
		this.view = view;
	}
	
	
}
