/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.part.model;

import java.util.Set;

import com.rapidtransform.core.model.AbstractBaseModel;
import com.rapidtransform.doc.model.Document;
import com.rapidtransform.org.model.Approvable;
import com.rapidtransform.org.model.OrganizationElement;
import com.rapidtransform.org.model.OrganizationalData;
import com.rapidtransform.spec.model.Effective;

/**
 * This class links two ItemView objects.
 * 
 * @author Steve Werner
 *
 */
public abstract class ItemViewRelation extends AbstractBaseModel 
	implements Approvable, OrganizationElement, OrganizationalData, Effective {
	
	private Set<Document> documents;
	private ItemView relating;
	private ItemView related;
	private String description;
	/**
	 * @return Returns the documents.
	 */
	public Set<Document> getDocuments() {
		return documents;
	}
	/**
	 * @param documents The documents to set.
	 */
	public void setDocuments(Set<Document> documents) {
		this.documents = documents;
	}
	/**
	 * @return Returns the related.
	 */
	public ItemView getRelated() {
		return related;
	}
	/**
	 * @param related The related to set.
	 */
	public void setRelated(ItemView related) {
		this.related = related;
	}
	/**
	 * @return Returns the relating.
	 */
	public ItemView getRelating() {
		return relating;
	}
	/**
	 * @param relating The relating to set.
	 */
	public void setRelating(ItemView relating) {
		this.relating = relating;
	}
	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * @param description The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	
}
