/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.part.model;

import java.util.Set;

import com.rapidtransform.core.model.VersionControlled;
import com.rapidtransform.admin.type.LifecycleState;

/**
 * A Part is a component that is combined with other parts to define a assembly or produc.
 * A part can be placed on the product structure for a product and can have it's own subassembly.
 *  
 * TODO remove this definition of part or make it extend ItemView or ItemInstance
 *  
 * @author Steve
 *
 */
public class Part extends VersionControlled  {

	private static final long serialVersionUID = -970920595903040276L;

	private String name;
	private String description;
	private Set documents;
	private LifecycleState state = LifecycleState.NEW;
	
	/* TODO Other attributes:
	 * revision
	 * category
	 * classification
	 * unit of measure
	 * makeBuy (Make, Buy, Consigned, VendorManaged, Subcontracted, Unspecified, Other)
	 * makeBuyOther
	 * productFamily (product lines for part)?
	 * typeCode
	 * earliestShippableRevision
	 * releasedDate
	 * isSerialNumberRequired
	 * isCertificationRequired
	 * 
	 * 
	 * supplier link info:
	 * supplierPartNumber
	 * comments
	 * supplierPartStatus (approved, qualityHold, underqualification, unqualified, disqualified, nonpreferred, condition, ...)
	 * 
	 */
	
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Set getDocuments() {
		return documents;
	}
	public void setDocuments(Set documents) {
		this.documents = documents;
	}
	public LifecycleState getState() {
		return state;
	}
	public void setState(LifecycleState state) {
		this.state = state;
	}
	
}
