/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.part.model;

/**
 * This class is a link between two ItemInstance objects where the relating ItemInstance
 * is being replaced by the related ItemInstance.  The details of the replacement are specified
 * in the Change object and description.
 * 
 * @author S. Werner
 *
 */
public class ReplacedUsageRelation extends ItemInstanceRelation {
	// TODO does STEP specify the need for a Change object here?
	//private Change change;
	
	/**
	 * TODO see rules for usage context in the STEP spec to define how this class uses the context.
	 */
	//private InstanceUsageContext usageContext;
	
	private String description;

	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @param description The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	
}
