/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.part.model;

/**
 * This class is a link between a Tool ('relating' attribute) and an item ('related' attribute) that is 
 * created with the tool.
 * 
 * @author S. Werner
 *
 */
public class ToolItemRelation extends ItemViewRelation {
	/**
	 * The techDescription describes the technology used to create the item with the tool
	 */
	private String techDescription;

	/**
	 * @return Returns the techDescription.
	 */
	public String getTechDescription() {
		return techDescription;
	}

	/**
	 * @param techDescription The techDescription to set.
	 */
	public void setTechDescription(String techDescription) {
		this.techDescription = techDescription;
	} 
	
	/**
	 * the placement specifies the relative position of the item with respect to the local 
	 * coordinate system of the tool.
	 */
	// TODO shape package -- private Transformation placement;
	
	
}
