/**
 * The contents of this file are subject to the Rapid Transform Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.rapidtransform.com/license.html
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2006 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.product.dao;

import java.util.List;

import org.springframework.dao.DataAccessException;

import com.rapidtransform.core.dao.GenericDAO;
import com.rapidtransform.product.model.ProductClass;
import com.rapidtransform.spec.model.Specification;

/**
 * @author S. Werner
 *
 */
public interface ProductClassDAO extends GenericDAO<ProductClass, Long> {
	public List<Specification> getSpecifications(ProductClass prodClass) throws DataAccessException;
}
