/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 with a permitted attribution clause (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.rapidtransform.com/legal/license.txt
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Convelo Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005,2006 Rapid Transform, Inc. 
 * All Rights Reserved.
 */
package com.rapidtransform.product.dao;

import java.util.Collection;
import java.util.List;

import org.springframework.dao.DataAccessException;

import com.rapidtransform.core.dao.GenericDAO;
import com.rapidtransform.core.model.namespace.QName;
import com.rapidtransform.doc.model.Document;
import com.rapidtransform.part.model.ItemVersion;
import com.rapidtransform.product.model.Product;
import com.rapidtransform.product.model.ProductClass;
import com.rapidtransform.spec.model.Specification;

/**
 * Product DAO interface
 * 
 * @author Steve Werner
 *
 */
public interface ProductDAO extends GenericDAO<Product, Long> {
	
	public Collection<Specification> getSpecifications(QName relationQname, String productId) throws DataAccessException;
	
	public Collection<Document> getDocuments(QName relationQname, String productId) throws DataAccessException;
	
	public Collection<ItemVersion> getItems(QName relationQname, String productId) throws DataAccessException;
	
	public Collection<Product> getRelatedProducts(QName relationQname, String productId) throws DataAccessException;
	
}
