/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.product.model;

import java.util.Set;

import com.rapidtransform.spec.model.Configuration;

/**
 * This class represents an alternative solution for a product.  This object type is used
 * if there are several mutually exlusive solutions for a particular ProductFunction or 
 * ProductComponent.
 * 
 * @author S. Werner
 *
 */
public class AlternateSolution extends Product {
	private Set<Configuration> configurations;
	
	/**
	 * This attribute specifies the object for which this solution is an alternate.
	 */
	private Complex alternateOf;
}
