/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.product.model;

import com.rapidtransform.core.model.AbstractBaseModel;
import com.rapidtransform.org.model.OrganizationElement;
import com.rapidtransform.org.model.OrganizationalData;
import com.rapidtransform.spec.model.Effective;

/**
 * @author S. Werner
 *
 */
public class ComplexProductRelation extends AbstractBaseModel 
	implements OrganizationElement, OrganizationalData, Effective {
	
	public enum RelationType {
		DERIVATION,
		REPLACEMENT,
		VERSION_HIERARCHY,
		VERSION_SEQUENCE;
	}
	private RelationType type;
	private Product relating;
	private Product related;
	/**
	 * @return Returns the related.
	 */
	public Product getRelated() {
		return related;
	}
	/**
	 * @param related The related to set.
	 */
	public void setRelated(Product related) {
		this.related = related;
	}
	/**
	 * @return Returns the relating.
	 */
	public Product getRelating() {
		return relating;
	}
	/**
	 * @param relating The relating to set.
	 */
	public void setRelating(Product relating) {
		this.relating = relating;
	}
	/**
	 * @return Returns the type.
	 */
	public RelationType getType() {
		return type;
	}
	/**
	 * @param type The type to set.
	 */
	public void setType(RelationType type) {
		this.type = type;
	}

}
