/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.product.model;

import com.rapidtransform.core.model.AbstractBaseModel;

/**
 * Relates a product function with an ItemView.
 * 
 * @author S. Werner
 *
 */
public class ItemFunctionAssociation extends AbstractBaseModel {
	private enum AssociationType {
		DEFAULT;
	}
	private AssociationType type;
	
	private String description;
	
	/**
	 * The associated product function
	 */
	private ProductFunction function;

	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @param description The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	/**
	 * @return Returns the function.
	 */
	public ProductFunction getFunction() {
		return function;
	}

	/**
	 * @param function The function to set.
	 */
	public void setFunction(ProductFunction function) {
		this.function = function;
	}

	/**
	 * @return Returns the type.
	 */
	public AssociationType getType() {
		return type;
	}

	/**
	 * @param type The type to set.
	 */
	public void setType(AssociationType type) {
		this.type = type;
	}
	
	
}
