/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.product.model;

import java.util.Set;

import com.rapidtransform.core.model.AbstractBaseModel;
import com.rapidtransform.doc.model.Document;
import com.rapidtransform.org.model.Approvable;
import com.rapidtransform.org.model.OrganizationElement;
import com.rapidtransform.org.model.OrganizationalData;
import com.rapidtransform.part.model.ItemInstance;

/**
 * The PhysicalAssemblyRelation links one physical item to a physical item assembly.
 * 
 * @author Steve Werner
 *
 */
public class PhysicalAssemblyRelation extends AbstractBaseModel implements Approvable, OrganizationElement, OrganizationalData {
	private Set<Document> documents;
	private PhysicalInstance assembly;
	private PhysicalInstance physicalInstance;
	// realizationOf represents the ItemInstance for the physicalItem
	private ItemInstance realizationOf;
	/**
	 * @return Returns the assembly.
	 */
	public PhysicalInstance getAssembly() {
		return assembly;
	}
	/**
	 * @param assembly The assembly to set.
	 */
	public void setAssembly(PhysicalInstance assembly) {
		this.assembly = assembly;
	}
	/**
	 * @return Returns the documents.
	 */
	public Set<Document> getDocuments() {
		return documents;
	}
	/**
	 * @param documents The documents to set.
	 */
	public void setDocuments(Set<Document> documents) {
		this.documents = documents;
	}
	/**
	 * @return Returns the physicalInstance.
	 */
	public PhysicalInstance getPhysicalInstance() {
		return physicalInstance;
	}
	/**
	 * @param physicalInstance The physicalInstance to set.
	 */
	public void setPhysicalInstance(PhysicalInstance physicalInstance) {
		this.physicalInstance = physicalInstance;
	}
	/**
	 * @return Returns the realizationOf.
	 */
	public ItemInstance getRealizationOf() {
		return realizationOf;
	}
	/**
	 * @param realizationOf The realizationOf to set.
	 */
	public void setRealizationOf(ItemInstance realizationOf) {
		this.realizationOf = realizationOf;
	}
	
	
}
