/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.product.model;

import java.util.Set;

import com.rapidtransform.core.model.AbstractBaseModel;
import com.rapidtransform.doc.model.Document;
import com.rapidtransform.org.model.Approvable;
import com.rapidtransform.org.model.OrganizationElement;
import com.rapidtransform.org.model.OrganizationalData;

/**
 * A test result for a physical instance.  The test result is comprised of a set of measurements
 * made on the physical instance for validation reason specified in the test activity.
 * 
 * TODO move to a new test package?
 * 
 * @author S. Werner
 *
 */
public class PhysicalInstanceTestResult extends AbstractBaseModel implements Approvable, OrganizationElement, OrganizationalData {
	private String testResultId;
	private String description;
	private Set<Document> documents;
	private TestActivity testActivity;
	// TODO define test result properties - customization for industry specific? or on a per-customer basis?
	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * @param description The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	/**
	 * @return Returns the documents.
	 */
	public Set<Document> getDocuments() {
		return documents;
	}
	/**
	 * @param documents The documents to set.
	 */
	public void setDocuments(Set<Document> documents) {
		this.documents = documents;
	}
	/**
	 * @return Returns the testActivity.
	 */
	public TestActivity getTestActivity() {
		return testActivity;
	}
	/**
	 * @param testActivity The testActivity to set.
	 */
	public void setTestActivity(TestActivity testActivity) {
		this.testActivity = testActivity;
	}
	/**
	 * @return Returns the testResultId.
	 */
	public String getTestResultId() {
		return testResultId;
	}
	/**
	 * @param testResultId The testResultId to set.
	 */
	public void setTestResultId(String testResultId) {
		this.testResultId = testResultId;
	}
	
}
