/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.product.model;

import com.rapidtransform.org.model.Organization;

/**
 * An alternate solution provided by a specific supplier.
 * 
 * @author S. Werner
 *
 */
public class SupplierSolution extends AlternateSolution {
	/**
	 * the probability rate for using this solution from the supplier.
	 */
	private Integer probabilityRate;
	
	private Organization supplier;

	/**
	 * @return Returns the probabilityRate.
	 */
	public Integer getProbabilityRate() {
		return probabilityRate;
	}

	/**
	 * @param probabilityRate The probabilityRate to set.
	 */
	public void setProbabilityRate(Integer probabilityRate) {
		this.probabilityRate = probabilityRate;
	}

	/**
	 * @return Returns the supplier.
	 */
	public Organization getSupplier() {
		return supplier;
	}

	/**
	 * @param supplier The supplier to set.
	 */
	public void setSupplier(Organization supplier) {
		this.supplier = supplier;
	}
	
	
}
