/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.spec.model;

import com.rapidtransform.core.model.AbstractBaseModel;
import com.rapidtransform.org.model.Approvable;
import com.rapidtransform.org.model.OrganizationElement;
import com.rapidtransform.org.model.OrganizationalData;

/**
 * The ClassCategoryAssociation is an association between a SpecCategory and a ProductClass.  This
 * association also specifies if the usage of one more more Spec objects is mandatory or optional for
 * a product class.
 * 
 * @author S. Werner
 *
 */
public class ClassCategoryAssociation extends AbstractBaseModel 
	implements Approvable, OrganizationElement, OrganizationalData, Effective {
	
	private Boolean mandatory;
	private SpecCategory specCategory;
	/**
	 * @return Returns the mandatory.
	 */
	public Boolean getMandatory() {
		return mandatory;
	}
	/**
	 * @param mandatory The mandatory to set.
	 */
	public void setMandatory(Boolean mandatory) {
		this.mandatory = mandatory;
	}
	/**
	 * @return Returns the specCategory.
	 */
	public SpecCategory getSpecCategory() {
		return specCategory;
	}
	/**
	 * @param specCategory The specCategory to set.
	 */
	public void setSpecCategory(SpecCategory specCategory) {
		this.specCategory = specCategory;
	}
	
}
