/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.spec.model;

import com.rapidtransform.core.model.AbstractBaseModel;
import com.rapidtransform.org.model.Approvable;
import com.rapidtransform.org.model.OrganizationElement;
import com.rapidtransform.org.model.OrganizationalData;

/**
 * This class is an association between a ProductClass and a SpecCondition.
 * 
 * @author S. Werner
 *
 */
public class ClassConditionAssociation extends AbstractBaseModel 
	implements ConfiguredSpec, Approvable, OrganizationElement, OrganizationalData, Effective {
	
	public enum ConditionType {
		DESIGN_CASE,
		IDENTIFICATION,
		PART_USAGE,
		VALIDITITY;
	}
	private ConditionType type;
	private String description;
	private SpecExpression specExpression;
	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * @param description The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	/**
	 * @return Returns the specExpression.
	 */
	public SpecExpression getSpecExpression() {
		return specExpression;
	}
	/**
	 * @param specExpression The specExpression to set.
	 */
	public void setSpecExpression(SpecExpression specExpression) {
		this.specExpression = specExpression;
	}
	/**
	 * @return Returns the type.
	 */
	public ConditionType getType() {
		return type;
	}
	/**
	 * @param type The type to set.
	 */
	public void setType(ConditionType type) {
		this.type = type;
	}
	
	
}
