/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.spec.model;

import com.rapidtransform.core.model.AbstractBaseModel;
import com.rapidtransform.org.model.Approvable;
import com.rapidtransform.org.model.OrganizationElement;
import com.rapidtransform.org.model.OrganizationalData;

/**
 * Associates a specificiation to a product class.
 * 
 * @author S. Werner
 *
 */
public class ClassSpecificationAssociation extends AbstractSpecRelation {
	
	private String associationType; // TODO make associationType an enum
	/**
	 * @return Returns the associationType.
	 */
	public String getAssociationType() {
		return associationType;
	}
	/**
	 * @param associationType The associationType to set.
	 */
	public void setAssociationType(String associationType) {
		this.associationType = associationType;
	}
	
}
