/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.spec.model;

import com.rapidtransform.core.model.AbstractBaseModel;
import com.rapidtransform.org.model.Approvable;
import com.rapidtransform.org.model.OrganizationElement;
import com.rapidtransform.org.model.OrganizationalData;
import com.rapidtransform.product.model.ProductFunctionComponent;

/**
 * Links a ProductClass to a ProductFunction or ProductComponent.
 * 
 * @author S. Werner
 *
 */
public class ClassStructureRelation extends AbstractBaseModel 
	implements Approvable, OrganizationElement, OrganizationalData, Effective {
	
	public enum RelationType {
		/**
		 * Used when the ProductFunction is an element of the functional structure of the ProductClass.
		 */
		FUNCTIONALITY,
		
		/**
		 * The ProductComponent realizes fulfils, at least partly, the requirements set forth in the 
		 * ProductClass.
		 */
		REALIZATION;
	}
	
	private RelationType type;
	private String description;
	private ProductFunctionComponent related; 
}
