/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.spec.model;

import java.util.Set;

import com.rapidtransform.classification.model.Classified;
import com.rapidtransform.core.model.AbstractBaseModel;
import com.rapidtransform.core.model.VersionControlled;
import com.rapidtransform.doc.model.Document;
import com.rapidtransform.org.model.Approvable;
import com.rapidtransform.org.model.OrganizationElement;
import com.rapidtransform.org.model.OrganizationalData;
import com.rapidtransform.product.model.ProductClass;

/**
 * A design contraint is a requirement for the design process of a product design.  The contraint may 
 * be geometric based.
 * 
 * @author S. Werner
 *
 */
public class DesignConstraint extends VersionControlled 
	implements Classified, Approvable, OrganizationElement, OrganizationalData, Effective {
	
	private String constraintId;
	private Set<DesignConstraintRelation> relation;
	private String description;
	private String name;
	private Set<Document> documents;
	// TODO private Set<ProductClass> validFor;
	/**
	 * @return Returns the constraintId.
	 */
	public String getConstraintId() {
		return constraintId;
	}
	/**
	 * @param constraintId The constraintId to set.
	 */
	public void setConstraintId(String constraintId) {
		this.constraintId = constraintId;
	}
	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * @param description The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	/**
	 * @return Returns the documents.
	 */
	public Set<Document> getDocuments() {
		return documents;
	}
	/**
	 * @param documents The documents to set.
	 */
	public void setDocuments(Set<Document> documents) {
		this.documents = documents;
	}
	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * @return Returns the relation.
	 */
	public Set<DesignConstraintRelation> getRelation() {
		return relation;
	}
	/**
	 * @param relation The relation to set.
	 */
	public void setRelation(Set<DesignConstraintRelation> relation) {
		this.relation = relation;
	}
}
