/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.spec.model;

import com.rapidtransform.core.model.AbstractBaseModel;

/**
 * Relates two design constraint objects.
 * 
 * @author S. Werner
 *
 */
public class DesignConstraintRelation extends AbstractBaseModel {
	public enum RelationType {
		DEFAULT;
	}
	private RelationType type;
	
	private String description;
	private DesignConstraint relating;
	private DesignConstraint related;
	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * @param description The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	/**
	 * @return Returns the related.
	 */
	public DesignConstraint getRelated() {
		return related;
	}
	/**
	 * @param related The related to set.
	 */
	public void setRelated(DesignConstraint related) {
		this.related = related;
	}
	/**
	 * @return Returns the relating.
	 */
	public DesignConstraint getRelating() {
		return relating;
	}
	/**
	 * @param relating The relating to set.
	 */
	public void setRelating(DesignConstraint relating) {
		this.relating = relating;
	}
	/**
	 * @return Returns the type.
	 */
	public RelationType getType() {
		return type;
	}
	/**
	 * @param type The type to set.
	 */
	public void setType(RelationType type) {
		this.type = type;
	}
	
}
