/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.spec.model;

import com.rapidtransform.admin.type.LifecycleState;
import com.rapidtransform.core.model.AbstractBaseModel;
import com.rapidtransform.org.model.DatedEvent;
import com.rapidtransform.org.model.Duration;
import com.rapidtransform.org.model.Organization;

/**
 * Effectivity identifies the valid use of product information for a date or event.
 * 
 * @author S. Werner
 *
 */
public class Effectivity extends AbstractBaseModel {
	private String effecitivityId;
	private String versionId;
	private LifecycleState validForState;
	private EffectivityAssignment assignment;
	private String description;
	private DatedEvent start;
	private DatedEvent end;
	private Duration period;
	private Organization organization;
	/**
	 * @return Returns the assignment.
	 */
	public EffectivityAssignment getAssignment() {
		return assignment;
	}
	/**
	 * @param assignment The assignment to set.
	 */
	public void setAssignment(EffectivityAssignment assignment) {
		this.assignment = assignment;
	}
	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * @param description The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	/**
	 * @return Returns the effecitivityId.
	 */
	public String getEffecitivityId() {
		return effecitivityId;
	}
	/**
	 * @param effecitivityId The effecitivityId to set.
	 */
	public void setEffecitivityId(String effecitivityId) {
		this.effecitivityId = effecitivityId;
	}
	/**
	 * @return Returns the end.
	 */
	public DatedEvent getEnd() {
		return end;
	}
	/**
	 * @param end The end to set.
	 */
	public void setEnd(DatedEvent end) {
		this.end = end;
	}
	/**
	 * @return Returns the organization.
	 */
	public Organization getOrganization() {
		return organization;
	}
	/**
	 * @param organization The organization to set.
	 */
	public void setOrganization(Organization organization) {
		this.organization = organization;
	}
	/**
	 * @return Returns the period.
	 */
	public Duration getPeriod() {
		return period;
	}
	/**
	 * @param period The period to set.
	 */
	public void setPeriod(Duration period) {
		this.period = period;
	}
	/**
	 * @return Returns the start.
	 */
	public DatedEvent getStart() {
		return start;
	}
	/**
	 * @param start The start to set.
	 */
	public void setStart(DatedEvent start) {
		this.start = start;
	}
	/**
	 * @return Returns the validForState.
	 */
	public LifecycleState getValidForState() {
		return validForState;
	}
	/**
	 * @param validForState The validForState to set.
	 */
	public void setValidForState(LifecycleState validForState) {
		this.validForState = validForState;
	}
	/**
	 * @return Returns the versionId.
	 */
	public String getVersionId() {
		return versionId;
	}
	/**
	 * @param versionId The versionId to set.
	 */
	public void setVersionId(String versionId) {
		this.versionId = versionId;
	}
	
}
