/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.spec.model;

/**
 * LotConfig is a type of manufacturing config that applies to a given production batch (Lot) for
 * the given Product.
 * 
 * @author S. Werner
 *
 */
public class LotConfig extends ManufacturingConfig {
	private String lotId;
	private String lotSize;
	/**
	 * @return Returns the lotId.
	 */
	public String getLotId() {
		return lotId;
	}
	/**
	 * @param lotId The lotId to set.
	 */
	public void setLotId(String lotId) {
		this.lotId = lotId;
	}
	/**
	 * @return Returns the lotSize.
	 */
	public String getLotSize() {
		return lotSize;
	}
	/**
	 * @param lotSize The lotSize to set.
	 */
	public void setLotSize(String lotSize) {
		this.lotSize = lotSize;
	}
	
	
}
