/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.spec.model;

/**
 * This is a type of manufacturing config that applies from the start serial number through the 
 * end serial number specified in this class.  The serial number is applied to the product
 * specified as the solutionFor attribute.
 * 
 * @author S. Werner
 *
 */
public class SerialConfig extends ManufacturingConfig {
	/**
	 * The first serial number for the instances of the product with this Configuration.
	 */
	private String startSerialNumber;
	
	/**
	 * The last serial number for the instances of the product with this Configuration.
	 */
	private String endSerialNumber;

	/**
	 * @return Returns the endSerialNumber.
	 */
	public String getEndSerialNumber() {
		return endSerialNumber;
	}

	/**
	 * @param endSerialNumber The endSerialNumber to set.
	 */
	public void setEndSerialNumber(String endSerialNumber) {
		this.endSerialNumber = endSerialNumber;
	}

	/**
	 * @return Returns the startSerialNumber.
	 */
	public String getStartSerialNumber() {
		return startSerialNumber;
	}

	/**
	 * @param startSerialNumber The startSerialNumber to set.
	 */
	public void setStartSerialNumber(String startSerialNumber) {
		this.startSerialNumber = startSerialNumber;
	}
	
	
}
