/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.spec.model;

import com.rapidtransform.core.model.AbstractBaseModel;
import com.rapidtransform.org.model.Approvable;
import com.rapidtransform.org.model.OrganizationElement;
import com.rapidtransform.org.model.OrganizationalData;

/**
 * The inclusion specifies how a specification or specExpression includes another specification
 * or expression.
 * 
 * @author S. Werner
 *
 */
public class SpecInclusion extends AbstractBaseModel 
	implements Approvable, OrganizationElement, OrganizationalData, Effective {
	
	private String inclusionId;
	private String description;
	private SpecOperand included;
	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * @param description The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	/**
	 * @return Returns the included.
	 */
	public SpecOperand getIncluded() {
		return included;
	}
	/**
	 * @param included The included to set.
	 */
	public void setIncluded(SpecOperand included) {
		this.included = included;
	}
	/**
	 * @return Returns the inclusionId.
	 */
	public String getInclusionId() {
		return inclusionId;
	}
	/**
	 * @param inclusionId The inclusionId to set.
	 */
	public void setInclusionId(String inclusionId) {
		this.inclusionId = inclusionId;
	}
	
}
