/**
 * The contents of this file are subject to the Rapid Transform Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.rapidtransform.com/license.html
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2006 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.spec.service;

import java.util.List;

import com.rapidtransform.core.service.MetaCRUDService;
import com.rapidtransform.core.service.Service;
import com.rapidtransform.spec.model.SpecCategory;
import com.rapidtransform.spec.model.AbstractSpecRelation;
import com.rapidtransform.spec.model.SpecRelation;
import com.rapidtransform.spec.model.Specification;

/**
 * @author S. Werner
 *
 */
public interface SpecService extends MetaCRUDService<Specification> {
	public List<Specification> findAllSpecifications();
	public Specification findSpecification(String id);
	
	public SpecCategory save(SpecCategory category);
	public SpecCategory findSpecCategory(String id);
	public List<SpecCategory> findTopLevelCategories();
}
