/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 with a permitted attribution clause (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.rapidtransform.com/legal/license.txt
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Convelo Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005,2006 Rapid Transform, Inc. 
 * All Rights Reserved.
 */
package com.rapidtransform.admin.client;

import java.util.Collection;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.opensymphony.xwork.ActionSupport;
import com.rapidtransform.admin.model.Role;
import com.rapidtransform.admin.service.UserService;

/**
 * @author S. Werner
 *
 */
public class RolesAction extends ActionSupport {
    private static Log log = LogFactory.getLog(RolesAction.class);
    private UserService userService = null;
    private Collection<Role> availableRoles;
    
	public void setUserService(UserService userService) {
        this.userService = userService;
    }
	
	public Collection<Role> getAvailableRoles() {
		return availableRoles;
	}
	public void setAvailableRoles(Collection<Role> availableRoles) {
		this.availableRoles = availableRoles;
	}

	public String execute() throws Exception {
		availableRoles = userService.getRoles();
		return SUCCESS;
	}
}
