package com.rapidtransform.core.client;

import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.opensymphony.xwork.ActionContext;
import com.opensymphony.xwork.ActionSupport;
import com.rapidtransform.core.meta.MetaException;
import com.rapidtransform.core.meta.MetaService;
import com.rapidtransform.core.meta.MetaType;

/**
 * @author Steve Werner
 *
 */
public class MetaPropertyAction extends ActionSupport {
	
	private static Log log = LogFactory.getLog(MetaPropertyAction.class);
	
	private MetaService metaService;
	private String type;
	private MetaType metaType;

	/**
	 * @return Returns the metaService.
	 */
	public MetaService getMetaService() {
		return metaService;
	}

	/**
	 * @param metaService The metaService to set.
	 */
	public void setMetaService(MetaService metaService) {
		this.metaService = metaService;
	}
	
	/**
	 * @return Returns the type.
	 */
	public String getType() {
		return type;
	}

	/**
	 * @param type The type to set.
	 */
	public void setType(String type) {
		this.type = type;
	}

	/**
	 * @return Returns the metaType.
	 */
	public MetaType getMetaType() {
		return metaType;
	}

	/**
	 * @param metaType The metaType to set.
	 */
	public void setMetaType(MetaType metaType) {
		this.metaType = metaType;
	}

	public String execute() {
		ActionContext context = ActionContext.getContext();
    	Map requestParams = context.getParameters();
    	
		if (type == null) {
			log.debug("getting type from request...");
			type = (String)requestParams.get("type");
		}
		if (getType() != null) {
			log.debug("Executing meta property action for type "+getType());
			try {
				metaType = metaService.getType(getType());
				log.debug("metaType extendsClass: "+metaType.getExtendsClass());
			} catch (MetaException me) {
				log.error("Unable to retrieve meta properties", me);
				return ERROR;
			}
		}
		else {
			return ERROR;
		}
		return NONE;
	}
}
