/**
 * 
 */
package com.rapidtransform.core.client;

import java.util.Collection;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.opensymphony.xwork.ActionContext;
import com.opensymphony.xwork.ActionSupport;
import com.rapidtransform.core.meta.MetaException;
import com.rapidtransform.core.meta.MetaService;
import com.rapidtransform.core.meta.MetaType;

/**
 * @author Steve Werner
 *
 */
public class MetaSearchAction extends ActionSupport {
	
	private static Log log = LogFactory.getLog(MetaSearchAction.class);
	
	private MetaService metaService;
	private Collection<MetaType> searchableTypes;

	/**
	 * @return Returns the metaService.
	 */
	public MetaService getMetaService() {
		return metaService;
	}

	/**
	 * @param metaService The metaService to set.
	 */
	public void setMetaService(MetaService metaService) {
		this.metaService = metaService;
	}
	
	/**
	 * @return Returns the searchableTypes.
	 */
	public Collection<MetaType> getSearchableTypes() {
		return searchableTypes;
	}

	/**
	 * @param searchableTypes The searchableTypes to set.
	 */
	public void setSearchableTypes(Collection<MetaType> searchableTypes) {
		this.searchableTypes = searchableTypes;
	}

	public String execute() {
		try {
			searchableTypes = metaService.getSearchableTypes();
		} catch (MetaException me) {
			log.error("Unable to retrieve searchable meta types", me);
			return ERROR;
		}
		return NONE;
	}
}
