/**
 * 
 */
package com.rapidtransform.core.client;

import java.util.Collection;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.opensymphony.xwork.ActionSupport;
import com.rapidtransform.core.meta.MetaException;
import com.rapidtransform.core.meta.MetaService;
import com.rapidtransform.core.meta.MetaType;
import com.rapidtransform.core.model.namespace.QName;
import com.rapidtransform.core.search.SearchResult;
import com.rapidtransform.core.search.SearchResults;
import com.rapidtransform.core.search.SearchService;
import com.rapidtransform.core.search.lucene.CompassSearchCommand;


/**
 * @author Steve Werner
 *
 */
public class NaturalLangSearchAction extends ActionSupport {
	private static Log log = LogFactory.getLog(NaturalLangSearchAction.class);
	
	private SearchService searchService;
	private MetaService metaService;
	private String query;
	private String type;
	private MetaType metaType;
	private Collection<SearchResult> searchResults;

	/**
	 * @return Returns the searchService.
	 */
	public SearchService getSearchService() {
		return searchService;
	}

	/**
	 * @param searchService The searchService to set.
	 */
	public void setSearchService(SearchService searchService) {
		this.searchService = searchService;
	}
	
	/**
	 * @return Returns the metaService.
	 */
	public MetaService getMetaService() {
		return metaService;
	}

	/**
	 * @param metaService The metaService to set.
	 */
	public void setMetaService(MetaService metaService) {
		this.metaService = metaService;
	}

	/**
	 * @return Returns the type.
	 */
	public String getType() {
		return type;
	}

	/**
	 * @param type The type to set.
	 */
	public void setType(String metaType) {
		this.type = metaType;
	}

	/**
	 * @return Returns the query.
	 */
	public String getQuery() {
		return query;
	}

	/**
	 * @param query The query to set.
	 */
	public void setQuery(String query) {
		this.query = query;
	}
	
	/**
	 * @return Returns the searchResults.
	 */
	public Collection<SearchResult> getSearchResults() {
		return searchResults;
	}

	/**
	 * @param searchResults The searchResults to set.
	 */
	public void setSearchResults(Collection<SearchResult> searchResults) {
		this.searchResults = searchResults;
	}
	
	/**
	 * @return Returns the metaType.
	 */
	public MetaType getMetaType() {
		return metaType;
	}

	/**
	 * @param metaType The metaType to set.
	 */
	public void setMetaType(MetaType metaType) {
		this.metaType = metaType;
	}

	public String execute() {
		try {
			
			CompassSearchCommand sc = new CompassSearchCommand(query);
			searchResults = searchService.search(type, sc);
			
			metaType = metaService.getType(type);
		
		} catch (MetaException me) {
			log.error("Unable to find meta type: "+type);
			return ERROR;
		}
		return SUCCESS;
	}
}
