/**
 * 
 */
package com.rapidtransform.core.client.util;

import java.lang.reflect.Member;
import java.util.Map;

import com.rapidtransform.core.model.namespace.QName;

import ognl.DefaultTypeConverter;

/**
 * @author Steve Werner
 *
 */
public class QNameConverter extends DefaultTypeConverter {
	/* (non-Javadoc)
	 * @see ognl.DefaultTypeConverter#convertValue(java.util.Map, java.lang.Object, java.lang.Class)
	 */
	@Override
	public Object convertValue(Map map, Object o, Class aClass) {
		return convertValue(map, null, null, null, o, aClass);
	}
	
	/* (non-Javadoc)
	 * @see ognl.DefaultTypeConverter#convertValue(java.util.Map, java.lang.Object, java.lang.reflect.Member, java.lang.String, java.lang.Object, java.lang.Class)
	 */
	@Override
	public Object convertValue(Map context, Object target, Member member, String property, Object value, Class toClass) {
		if (value == null || toClass.isAssignableFrom(value.getClass())) {
            // no need to convert at all
            return value;
        }
		QName result = null;
		if (value instanceof String) {
			result = new QName((String)value);
		}
		else if (value instanceof String[]) {
			if (((String[])value).length == 1) {
				result = new QName(((String[])value)[0]);
			}
		}
		return result;
		
	}
}
