/**
 * The contents of this file are subject to the Rapid Transform Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.rapidtransform.com/license.html
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.core.model;

import java.util.List;

/**
 * A module contains the metadata for a core or custom module in the RapidPLM application.
 * 
 * Modules are configured with a Spring configuration file and deployed to the application by
 * specifying them in the configuration for the ModuleService.
 * 
 * @author S. Werner
 *
 */
public class Module {
	private String name;
	private String description;
	private Boolean active;
	private String contextRelativePath;
	private List<ModuleMenuItem> actionMenuItems;
	
	public Boolean getActive() {
		return active;
	}
	public void setActive(Boolean active) {
		this.active = active;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * Returns the relative path to the web content, such as under the web root directory for a web client
	 * @return
	 */
	public String getContextRelativePath() {
		return contextRelativePath;
	}
	public void setContextRelativePath(String relativePath) {
		this.contextRelativePath = relativePath;
	}
	
	/**
	 * The list of ModuleMenuItems contains each functional section of the main action menu for this module.
	 * @return
	 */
	public List<ModuleMenuItem> getActionMenuItems() {
		return actionMenuItems;
	}
	public void setActionMenuItems(List<ModuleMenuItem> actionMenuItems) {
		this.actionMenuItems = actionMenuItems;
	}
	
	
}
