/**
 * The contents of this file are subject to the Rapid Transform Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.rapidtransform.com/license.html
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2006 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.core.model;

import java.util.HashMap;
import java.util.Map;

/**
 * Defines an action for a menu.
 * 
 * @author S. Werner
 *
 */
public class ModuleMenuAction {
	private String display;
	private String action;
	private Map<String, String> params;
	private Boolean ajax = Boolean.FALSE;
	private String topics;
	
	public ModuleMenuAction() {
		params = new HashMap<String, String>();
	}

	public String getAction() {
		return action;
	}

	public void setAction(String action) {
		this.action = action;
	}

	public Boolean getAjax() {
		return ajax;
	}

	public void setAjax(Boolean ajax) {
		this.ajax = ajax;
	}

	public String getDisplay() {
		return display;
	}

	public void setDisplay(String display) {
		this.display = display;
	}

	public String getTopics() {
		return topics;
	}

	public void setTopics(String topics) {
		this.topics = topics;
	}

	/**
	 * @return Returns the params.
	 */
	public Map<String, String> getParams() {
		return params;
	}

	/**
	 * @param params The params to set.
	 */
	public void setParams(Map<String, String> params) {
		this.params = params;
	}
	
}
