/**
 * The contents of this file are subject to the Rapid Transform Public License 
 * Version 1.1 (the "License"); you may not use this file except in 
 * compliance with the License. You may obtain a copy of the License at 
 * http://www.rapidtransform.com/license.html
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Rapid PLM Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2006 Rapid Transform, Inc. 
 * All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.
 */
package com.rapidtransform.core.model;

import java.util.List;

/**
 * The ModuleMenuItem encapsulates the menu information for a piece of 
 * functionality for a module.
 * 
 * @author S. Werner
 *
 */
public class ModuleMenuItem {
	private String header;
	private List<ModuleMenuAction> actions;
	
	public ModuleMenuItem() {
	}
	
	public List<ModuleMenuAction> getActions() {
		return actions;
	}
	public void setActions(List<ModuleMenuAction> actions) {
		this.actions = actions;
	}
	public String getHeader() {
		return header;
	}
	public void setHeader(String header) {
		this.header = header;
	}	
}
