/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 with a permitted attribution clause (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.rapidtransform.com/legal/license.txt
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Convelo Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005,2006 Rapid Transform, Inc. 
 * All Rights Reserved.
 */
package com.rapidtransform.part.client;

import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.opensymphony.xwork.ActionContext;
import com.rapidtransform.core.client.CRUDAction;
import com.rapidtransform.core.client.MetaCRUDAction;
import com.rapidtransform.core.service.CRUDService;
import com.rapidtransform.core.service.MetaCRUDService;
import com.rapidtransform.part.model.Item;
import com.rapidtransform.part.model.ItemVersion;
import com.rapidtransform.part.service.ItemService;
import com.rapidtransform.spec.model.Specification;

/**
 * @author S. Werner
 *
 */
public class ItemAction extends MetaCRUDAction<ItemVersion> {
	private static Log log = LogFactory.getLog(ItemAction.class);
	
	private ItemService itemService;
	public void setItemService(ItemService itemService) {
		this.itemService = itemService;
	}
	
	public MetaCRUDService<ItemVersion> getService() {
		return itemService;
	}
	
	public ItemVersion getItemVersion() {
		return getEntity();
	}
	public void setItemVersion(ItemVersion item) {
		setEntity(item);
	}
	
	public String getItemVersionId() {
		Long id = getEntityId();
		if (id == null) {
			setEntityId(Long.valueOf(0));
		}
		return Long.toString(getEntityId());
	}

	public void setItemVersionId(String itemId) {
		setEntityId(Long.valueOf(itemId));
	}
	
	public List<ItemVersion> getItemVersions() {
		return getEntities();
	}

	public void setItemVersions(List<ItemVersion> items) {
		setEntities(items);
	}

	@Override
	public Log getLog() {
		return log;
	}

}
