/**
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.1 with a permitted attribution clause (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.rapidtransform.com/legal/license.txt
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Convelo Open Source.
 * 
 * The Initial Developer of the Original Code is Rapid Transform, Inc.
 * Portions created by Rapid Transform are Copyright (C) 2005,2006 Rapid Transform, Inc. 
 * All Rights Reserved.
 */
package com.rapidtransform.spec.client;

import java.util.Collection;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.dao.DataAccessException;

import com.opensymphony.xwork.ActionContext;
import com.opensymphony.xwork.ActionSupport;
import com.rapidtransform.core.client.MetaCRUDAction;
import com.rapidtransform.core.service.MetaCRUDService;
import com.rapidtransform.product.model.Product;
import com.rapidtransform.spec.model.ClassSpecificationAssociation;
import com.rapidtransform.spec.model.AbstractSpecRelation;
import com.rapidtransform.spec.model.Specification;
import com.rapidtransform.spec.service.SpecService;

/**
 * @author S. Werner
 *
 */
public class SpecAction extends MetaCRUDAction<Specification> {
	private static Log log = LogFactory.getLog(SpecAction.class);
	
	private SpecService specService;
	private Collection<Specification> specs;
	
	public MetaCRUDService<Specification> getService() {
		return specService;
	}
	
	public Specification getSpec() {
		return getEntity();
	}
	public void setSpec(Specification spec) {
		setEntity(spec);
	}
	public Collection<Specification> getSpecs() {
		return specs;
	}
	public void setSpecs(Collection<Specification> specs) {
		this.specs = specs;
	}
	public void setSpecService(SpecService service) {
		this.specService = service;
	}
	public SpecService getSpecService() {
		return this.specService;
	}
	
	public String execute() throws Exception {
		return SUCCESS;
	}

	/* (non-Javadoc)
	 * @see com.rapidtransform.core.client.CRUDAction#getLog()
	 */
	@Override
	public Log getLog() {
		return log;
	}

}
